# imdlib
[![Build Status](https://github.com/iamsaswata/imdlib/actions/workflows/pypi.yml/badge.svg)](https://github.com/iamsaswata/imdlib/actions/workflows/pypi.yml)
![GitHub](https://img.shields.io/github/license/iamsaswata/imdlib)
![PyPI](https://img.shields.io/pypi/v/imdlib)
![Conda](https://img.shields.io/conda/v/iamsaswata/imdlib)
[![Downloads](https://pepy.tech/badge/imdlib)](https://pepy.tech/project/imdlib)


This is a python package to download and handle binary grided data from Indian Meterological department (IMD).

## Installation

> pip install imdlib
 
 or

> conda install -c iamsaswata imdlib

or 

> pip install git+https://github.com/iamsaswata/imdlib.git


## Documentation

[Tutorial](https://saswatanandi.github.io/softwares/imdlib)
[Tutorial](https://pratiman-91.github.io/blog.html)

## Video Tutorial  
  
[![IMDLIB - Albedo Foundation](https://img.youtube.com/vi/uSIPPY5WRaM/0.jpg)](https://www.youtube.com/watch?v=uSIPPY5WRaM)

## License

imdlib is available under the [MIT](https://opensource.org/licenses/MIT) license.

## Citation

If you are using imdlib and would like to cite it in academic publication, we would certainly appreciate it. We recommend to use the zenodo DOI for this purpose:

Nandi, S., Patel, P., and Swain, S. (2022). IMDLIB: A python library for IMD gridded data. Zenodo. https://doi.org/10.5281/zenodo.7205414

[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.7205414.svg)](https://doi.org/10.5281/zenodo.7205414)

## Publications using IMDLIB  
  

Sardar, P., and Samadder, S. R. (2023).  Long-term ecological vulnerability assessment of indian sundarban region under present and future climatic conditions under CMIP6 model. *Ecological Informatics*. [[DOI]](https://doi.org/10.1016/j.ecoinf.2023.102140)  
  
Roy, P. K., Ghosh, A., Basak, S. K., Mohinuddin, S., & Roy M. B. (2023).  Analysing the Role of AHP Model to Identify Flood Hazard Zonation in a Coastal Island, India. *Journal of the Indian Society of Remote Sensing Article*, 1-15. [[DOI]](https://doi.org/10.1007/s12524-023-01697-x)   
  
Kundu, M., Zafor, A., & Maiti, R. (2023). Assessing the nature of potential groundwater zones through machine learning (ML) algorithm in tropical plateau region, West Bengal, India. *Acta Geophysica*, 1-16. [[DOI]](https://doi.org/10.1007/s11600-023-01042-3)  
    
Venkatesh, S., Kirubakaran, T., Ayaz, R. M., Umar, S. M., & Parimalarenganayaki, S. (2023). Non-parametric Approaches to Identify Rainfall Pattern in Semi-Arid Regions: Ranipet, Vellore, and Tirupathur Districts, Tamil Nadu, India. *In River Dynamics and Flood Hazards* (pp. 507-525). Springer, Singapore.  [[DOI]](https://doi.org/10.1007/978-981-19-7100-6_28) 

Swain, S., Mishra, S. K., Pandey, A., & Dayal, D. (2022). Assessment of drought trends and variabilities over the agriculture-dominated Marathwada Region, India. *Environmental Monitoring and Assessment, 194(12)*, 1-18. 
[[DOI]](https://doi.org/10.1007/s10661-022-10532-8)  
  
Swain, S., Mishra, S. K., Pandey, A., Dayal, D., & Srivastava, P. K. (2022). Appraisal of historical trends in maximum and minimum temperature using multiple non-parametric techniques over the agriculture-dominated Narmada Basin, India. *Environmental Monitoring and Assessment*, 194(12), 1-23. [[DOI]](https://doi.org/10.1007/s10661-022-10534-6) 
